Subject: Migrants in Finland

From: [email-masked] (Jaakko B Kullberg)
Date: 3 Jun 1996 15:12:52 GMT

In Finland there has been cold spring and there has been very few
migrants. However last weekend 1.-2.6. V.cardui & A.gamma were observed
in numbers. Earlier in May there has been single or few reports of some 
species: hyale, atalanta, Orth. munda, Biston stratarius, Agr. ipsilon. 

More records will come out when collectors check their traps. 

Jaakko Kullberg